Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/include/DummyPreprocessingManager.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/include/DummyPreprocessingManager.h	(revision 2280)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/include/DummyPreprocessingManager.h	(revision 2353)
@@ -7,52 +7,49 @@
 
 namespace GtpVisibility {
-  
-  /**
-     Implements a dummy interface to the external visibility preprocessing.
-  */
+
+/**
+	Implements a dummy interface to the external visibility preprocessing.
+*/
 class DummyPreprocessingManager : public PreprocessingManager
 {
 public:
 
+	/** Constructor taking a scene traverser for a specific type of
+	hierarchyInterface as argument. 
+	*/
+	DummyPreprocessingManager(HierarchyInterface *hierarchyInterface);
 
-  /** Constructor taking a scene traverser for a specific type of
-      hierarchyInterface as argument. 
-  */
-  DummyPreprocessingManager(HierarchyInterface *hierarchyInterface);
-  
-  
-  /** 
-      Export the scene for visibility preprocessing. Exports the hierarchyInterface including
-      its bounding boxes + mesh data for occluders. The viewcell data will either be
-      supplied directly to the visibility preprocessing standalone module
-  */
-  virtual bool ExportScene(const string filename);
-  
-  
-  /** 
-      Load preprocessed visibility information
-  */
-  virtual bool LoadPreprocessedData(const string filename);
-  
-  
+	/** 
+	Export the scene for visibility preprocessing. Exports the hierarchyInterface including
+	its bounding boxes + mesh data for occluders. The viewcell data will either be
+	supplied directly to the visibility preprocessing standalone module
+	*/
+	virtual bool ExportScene(const std::string &filename);
+
+	/** 
+	Load preprocessed visibility information
+	*/
+	virtual bool LoadPreprocessedData(const std::string &filename);
+
+
 protected:
 
-  /** 
-      Find viewcells intersecting a spherical neighborhood of a point.
-      Returns false if no viewcell was found.
-    */
-  /*virtual bool LocateViewCellIds(const Vector3 &center,
-								 const float radius,
-								 vector<int> *viewCellIds
-								);
-*/
+	/** 
+	Find viewcells intersecting a spherical neighborhood of a point.
+	Returns false if no viewcell was found.
+	*/
+	/*virtual bool LocateViewCellIds(const Vector3 &center,
+	const float radius,
+	vector<int> *viewCellIds
+	);
+	*/
 
-  /**
-     Add a PVS of the given viewcell to the already evaluated PVS by computing
-     a union with visibleNodes and visibleMeshes. Returns the number of added entries.
-  */
-  //virtual int AddViewCellPVS(const int cellID,
-//						 NodeInfoContainer *visibleNodes,
-//						 MeshInfoContainer *visibleMeshes);
+	/**
+	Add a PVS of the given viewcell to the already evaluated PVS by computing
+	a union with visibleNodes and visibleMeshes. Returns the number of added entries.
+	*/
+	//virtual int AddViewCellPVS(const int cellID,
+	//						 NodeInfoContainer *visibleNodes,
+	//						 MeshInfoContainer *visibleMeshes);
 
 };
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/include/PreprocessingManager.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/include/PreprocessingManager.h	(revision 2280)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/include/PreprocessingManager.h	(revision 2353)
@@ -3,9 +3,8 @@
 
 #include <string>
-using namespace std;
 
 #include "HierarchyInterface.h"
 #include "VisibilityInfo.h"
-//#include "VisibilityVector3.h"
+
 
 namespace GtpVisibility {
@@ -48,5 +47,5 @@
         @return true if the export was succesful.
     */
-    virtual bool ExportScene(const string filename) = 0;
+	virtual bool ExportScene(const std::string &filename) = 0;
     
 	/** Load preprocessed visibility information. The loaded data is matched with the current
@@ -60,5 +59,5 @@
         @return true if the loading was succesful.
     */
-    virtual bool LoadPreprocessedData(const string filename) = 0;
+	virtual bool LoadPreprocessedData(const std::string &filename) = 0;
     
     /** 
